# -*- coding: utf-8 -*-
"""
Created on Sat Dec 22 14:19:42 2018

@author: LIM YUAN QING

Module contains classes and functions that would 
1. convert raw data of different formats to memory-optimized pandas Dataframes
2. determine treatment for missing data
2. perform train-test split / create cross-validator object
3. perform missing data imputation if required to
4. perform data transformation if required to
    a. binning
    b. normalization
    c. log transformation
    d. one-hot encoding

"""
# Road map
# --------
# 1. Determine if variables are of numeric or non-numeric types
# 2. For numeric data types, determine if variable is categorical or continuous
# 3. Descriptive statistics
# 4. Optimise memory usage

# Functionalities
# ---------------
## 1. loading
## 2. preprocessing
## 3. caching
## 4. shuffling
## 5. repeat
## 6. batching
## 7. prefetching

import tensorflow as tf

class CrossSectionalData(tf.data.Dataset):
    def __init__(self) -> None:
        pass